package de.ugoe.cs.swe.exercises.settings;

public class Settings {
	private String svnLocation;
	private String workingDirectory;
	private String svnUsername;
	private String svnPassword;
	private String mysqlHost;
	private String mysqlDb;
	private String mysqlUsername;
	private String mysqlPassword;
	private String pdfLatexPath;
	private String researchGroup;
	private String researchGroupUrl;
	private boolean mysqlSSL = false;
	private static Settings settings;

	private Settings() {
	}

	public static Settings getInstance() {
		if (settings == null)
			settings = new Settings();

		return settings;
	}

	public boolean isInitialized() {
		if (svnLocation == "" || workingDirectory == "" || svnUsername == ""
				|| svnPassword == "" || mysqlHost == "" || mysqlDb == ""
				|| mysqlUsername == "" || mysqlPassword == ""
				|| pdfLatexPath == "") {
			return false;
		}
		return true;

	}

	public String getSvnLocation() {
		return svnLocation;
	}

	public void setSvnLocation(String svnLocation) {
		this.svnLocation = svnLocation;
	}

	public String getWorkingDirectory() {
		return workingDirectory;
	}

	public void setWorkingDirectory(String workingDirectory) {
		this.workingDirectory = workingDirectory;
	}

	public String getSvnUsername() {
		return svnUsername;
	}

	public void setSvnUsername(String svnUsername) {
		this.svnUsername = svnUsername;
	}

	public String getSvnPassword() {
		return svnPassword;
	}

	public void setSvnPassword(String svnPassword) {
		this.svnPassword = svnPassword;
	}

	public String getMysqlHost() {
		return mysqlHost;
	}

	public void setMysqlHost(String mysqlHost) {
		this.mysqlHost = mysqlHost;
	}

	public String getMysqlDb() {
		return mysqlDb;
	}

	public void setMysqlDb(String mysqlDb) {
		this.mysqlDb = mysqlDb;
	}

	public String getMysqlUsername() {
		return mysqlUsername;
	}

	public void setMysqlUsername(String mysqlUsername) {
		this.mysqlUsername = mysqlUsername;
	}

	public String getMysqlPassword() {
		return mysqlPassword;
	}

	public void setMysqlPassword(String mysqlPassword) {
		this.mysqlPassword = mysqlPassword;
	}

	public String getPdfLatexPath() {
		return pdfLatexPath;
	}

	public void setPdfLatexPath(String pdfLatexPath) {
		this.pdfLatexPath = pdfLatexPath;
	}

	public String getResearchGroup() {
		return researchGroup;
	}

	public void setResearchGroup(String researchGroup) {
		this.researchGroup = researchGroup;
	}

	public String getResearchGroupUrl() {
		return researchGroupUrl;
	}

	public void setResearchGroupUrl(String researchGroupUrl) {
		this.researchGroupUrl = researchGroupUrl;
	}

	public boolean isMysqlSSL() {
		return mysqlSSL;
	}

	public void setMysqlSSL(boolean mysqlSSL) {
		this.mysqlSSL = mysqlSSL;
	}

}
